Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007403 [DCSS] Bug Report major unable to reproduce 2013-07-28 03:30 2014-02-22 15:30
Reporter Sage View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007403: Silver rune is missing
Description After clearing all exclusions in V:$, forgetting the map, and autoexploring until I was "done exploring," ^f "silver rune" doesn't find anything, and } shows that I have collected no runes.

The save is at https://dobrazupa.org/saves/Basil-crawl-git-1f6edf497f-130728-0118.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0007457closed No silver rune 

-  Notes
(0023710)
neil (administrator)
2013-08-11 21:44
edited on: 2013-08-11 21:52

Another save: https://dobrazupa.org/saves/timbw-missing-silver-rune.cs [^] . timbw says he encountered a rune mimic but no real rune; Basil on the other hand had no mimics on V:5.

(0023714)
sgrunt (administrator)
2013-08-12 17:20

This was my fault - I missed adding in a line to one of my new vaults quadrants that caused it to try to place the rune multiple times. Obviously it failed in doing so.

The vault itself was fixed in 0.13-a0-2678-g5ee1dac; someone else will need to figure out what to do with the saves.

- Issue History
Date Modified Username Field Change
2013-07-28 03:30 Sage New Issue
2013-08-11 21:44 neil Note Added: 0023710
2013-08-11 21:45 neil Note Added: 0023711
2013-08-11 21:45 neil Note Deleted: 0023711
2013-08-11 21:52 neil Note Edited: 0023710
2013-08-12 17:20 sgrunt Note Added: 0023714
2013-08-12 17:20 sgrunt Assigned To => sgrunt
2013-08-12 17:20 sgrunt Status new => resolved
2013-08-12 17:20 sgrunt Resolution open => done
2013-08-12 17:20 sgrunt Fixed in Branch => 0.13 development branch
2013-08-13 18:40 sgrunt Relationship added has duplicate 0007457
2014-02-22 15:30 Sage Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker